%define debug_package %{nil}

Summary:	This package contains the source code for making LiME Modules

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		lime-kernel-modules-common
Version:	1.1.r17
%define REL 5
Release:	%{REL}

License:	GPL

Group:		Applications/Forensics Tools
URL:		https://github.com/504ensicsLabs/LiME
Source0:	lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}

Obsoletes:	lime-kernel-objects

BuildArch:	noarch

%description
This package provides a script to install and use the kernel objects.
These modules are now packaged separately.
This package is intended to be shared across all OSes and architectures

%prep
%setup -n lime-forensics-%{version}

%build

%install
%{__install} -d %{buildroot}%{_bindir}
%{__install} -m 755 CaptureMemoryWithLime %{buildroot}/%{_bindir}
%__install -d %{buildroot}%{_mandir}/man1
%__install CaptureMemoryWithLime.1 %{buildroot}%{_mandir}/man1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc deflate.c disk.c hash.c lime.h main.c Makefile Makefile.sample tcp.c external_modules.pdf README.pdf
%attr(755, root, root)	%{_bindir}/CaptureMemoryWithLime
%attr(0644, root, root)	%{_mandir}/man1/*.1.gz

%changelog
* Tue Oct 22 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-5
* Release 1.1.r17-5
	Updated all source code, Makefiles and documentation
	
* Fri Jun  2 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-4
* Release 1.1.r17-4
	Updated tcp.c due to changes in the 4.11 kernel.
	
* Fri Sep  9 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-3
* Release 1.1.r17-3
	Updated these files:
		main.c
	to be in sync with the LiME Forensics Source code repository.

	Also updated CaptureMemoryWithLime and CaptureMemoryWithLime.1 to change the default location
		of the modules directory.

* Tue Jul 12 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-2
* Release 1.1.r17-2
	Updated these files:
		disk.c
		lime.h
		main.c
		Makefile
		tcp.c
	to be in sync with the LiME Forensics Source code repository.

* Mon Jun 2 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-1
* Release 1.1.r17-1
	This is the initial release of this package.
	It contains all of the OS and architecture-independent parts of LiME.
